<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: LocationInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_location_info.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_location_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">LocationInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for LocationInfo:</div>
<div class="dyncontent">
<div class="center"><img src="struct_location_info__coll__graph.png" border="0" usemap="#_location_info_coll__map" alt="Collaboration graph"/></div>
<map name="_location_info_coll__map" id="_location_info_coll__map">
<area shape="rect" title=" " alt="" coords="93,243,196,269"/>
<area shape="rect" href="struct_location_info_details.html" title=" " alt="" coords="5,139,153,165"/>
<area shape="rect" href="struct_text_pos_analysis.html" title=" " alt="" coords="177,139,304,165"/>
<area shape="rect" href="struct_source_code_snippet.html" title=" " alt="" coords="167,5,315,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a65bdec0bc5069d9a8b7fc8ebc732d4e6"><td class="memItemLeft" align="right" valign="top">SourceLocation&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#a65bdec0bc5069d9a8b7fc8ebc732d4e6">Start</a></td></tr>
<tr class="separator:a65bdec0bc5069d9a8b7fc8ebc732d4e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff931e35ff5613ddcdba5bbf71983b1a"><td class="memItemLeft" align="right" valign="top">SourceLocation&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#aff931e35ff5613ddcdba5bbf71983b1a">End</a></td></tr>
<tr class="separator:aff931e35ff5613ddcdba5bbf71983b1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac66fc244cd36e1bfac2b9f2addece525"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_location_info_details.html">LocationInfoDetails</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#ac66fc244cd36e1bfac2b9f2addece525">Expansion</a></td></tr>
<tr class="separator:ac66fc244cd36e1bfac2b9f2addece525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0b41e12df7b95ba77f69dca522f3f2a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_location_info_details.html">LocationInfoDetails</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#ae0b41e12df7b95ba77f69dca522f3f2a">Spelling</a></td></tr>
<tr class="separator:ae0b41e12df7b95ba77f69dca522f3f2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c3fd88f1e975a731071447f51ee9077"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_text_pos_analysis.html">TextPosAnalysis</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#a8c3fd88f1e975a731071447f51ee9077">AnalysisResults</a></td></tr>
<tr class="separator:a8c3fd88f1e975a731071447f51ee9077"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53ce84ca9d669d3ae5717f25210bd69c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_location_info_details.html">LocationInfoDetails</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#a53ce84ca9d669d3ae5717f25210bd69c">InnerTokens</a></td></tr>
<tr class="separator:a53ce84ca9d669d3ae5717f25210bd69c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01fb4682f09c1f310f84ebde88b4d34"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#aa01fb4682f09c1f310f84ebde88b4d34">isFunctionMacroExpansion</a></td></tr>
<tr class="separator:aa01fb4682f09c1f310f84ebde88b4d34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1ece898fc0f747e9c875aed5f95891c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#ae1ece898fc0f747e9c875aed5f95891c">isMacroBodyExpansion</a></td></tr>
<tr class="separator:ae1ece898fc0f747e9c875aed5f95891c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a847c3fc38d8fdd4612ce1cdefea8b3e6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#a847c3fc38d8fdd4612ce1cdefea8b3e6">isMacroArgExp</a></td></tr>
<tr class="separator:a847c3fc38d8fdd4612ce1cdefea8b3e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec8e0a0f7d90512aeda9f11bf8fe1110"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#aec8e0a0f7d90512aeda9f11bf8fe1110">NoOfTokens</a></td></tr>
<tr class="separator:aec8e0a0f7d90512aeda9f11bf8fe1110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32d73c5b11030dd3b009e1e75ebe9af0"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info.html#a32d73c5b11030dd3b009e1e75ebe9af0">macrolevel</a></td></tr>
<tr class="separator:a32d73c5b11030dd3b009e1e75ebe9af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8c3fd88f1e975a731071447f51ee9077"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c3fd88f1e975a731071447f51ee9077">&#9670;&nbsp;</a></span>AnalysisResults</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_text_pos_analysis.html">TextPosAnalysis</a> LocationInfo::AnalysisResults</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff931e35ff5613ddcdba5bbf71983b1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff931e35ff5613ddcdba5bbf71983b1a">&#9670;&nbsp;</a></span>End</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SourceLocation LocationInfo::End</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac66fc244cd36e1bfac2b9f2addece525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac66fc244cd36e1bfac2b9f2addece525">&#9670;&nbsp;</a></span>Expansion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_location_info_details.html">LocationInfoDetails</a> LocationInfo::Expansion</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a53ce84ca9d669d3ae5717f25210bd69c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53ce84ca9d669d3ae5717f25210bd69c">&#9670;&nbsp;</a></span>InnerTokens</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_location_info_details.html">LocationInfoDetails</a>&gt; LocationInfo::InnerTokens</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa01fb4682f09c1f310f84ebde88b4d34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa01fb4682f09c1f310f84ebde88b4d34">&#9670;&nbsp;</a></span>isFunctionMacroExpansion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LocationInfo::isFunctionMacroExpansion</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a847c3fc38d8fdd4612ce1cdefea8b3e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a847c3fc38d8fdd4612ce1cdefea8b3e6">&#9670;&nbsp;</a></span>isMacroArgExp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LocationInfo::isMacroArgExp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1ece898fc0f747e9c875aed5f95891c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1ece898fc0f747e9c875aed5f95891c">&#9670;&nbsp;</a></span>isMacroBodyExpansion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LocationInfo::isMacroBodyExpansion</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32d73c5b11030dd3b009e1e75ebe9af0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32d73c5b11030dd3b009e1e75ebe9af0">&#9670;&nbsp;</a></span>macrolevel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocationInfo::macrolevel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aec8e0a0f7d90512aeda9f11bf8fe1110"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec8e0a0f7d90512aeda9f11bf8fe1110">&#9670;&nbsp;</a></span>NoOfTokens</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocationInfo::NoOfTokens</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae0b41e12df7b95ba77f69dca522f3f2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0b41e12df7b95ba77f69dca522f3f2a">&#9670;&nbsp;</a></span>Spelling</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_location_info_details.html">LocationInfoDetails</a> LocationInfo::Spelling</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65bdec0bc5069d9a8b7fc8ebc732d4e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65bdec0bc5069d9a8b7fc8ebc732d4e6">&#9670;&nbsp;</a></span>Start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SourceLocation LocationInfo::Start</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_location_info.html">LocationInfo</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
